ISIS - Feature #2209

Provide support for OSX 10.10
2014-12-18 08:18 AM - Stuart Sides

Status: Closed

Priority: Block

Assignee: Stuart Sides

Category: Infrastructure

Target version: FY17 Backlog

Impact: This change will require ISIS to use Qt Software Version:

5.4.x. This may modify the look of some
GUI elements. Moveing to Qt 5.4.x
requires changing some code in much of
ISIS. The potential for making errors is
very real. Please test as much as you
can.

Description

Current ISIS build for Mac OSX 10.6 and 10.8 are having problems running on 10.9 and 10.10. Making 10.10 work is expected to
require upgrading many of the third party libraries ISIS uses. This will ripple through the other supported OSs as well.

Related issues:
Related to ISIS - Question #4481: Connecting to rysnc Acknowledged

History

#2 - 2016-05-13 07:48 AM - Stuart Sides

Hi,
Yes, this is still a problem. We only have the 10.9 build at the moment. We are working on a 10.11 build that should be ready soon.

Stuart

#3 - 2016-10-03 10:55 AM - Stuart Sides
- Target version changed from 3.4.9 (FY15 R2 2015-03-26 Mar) to FY17 Backlog

10.10 will be skipped. We are porting to 10.11 and may be able to support it in the Jan 2017 release.

#6 - 2016-10-12 03:06 PM - Makayla Shepherd
When testing the GUIs for OSX 10.11 | got terminal output.

2016-10-12 14:50:30.129 qview[99346:62049812] NSWindow does not support utility styleMask 0x10

2016-10-12 14:50:30.164 qview[99346:62049812] CFPasteboardRef CFPasteboardCreate(CFAllocatorRef, CFStringRef
2016-10-12 14:50:30.164 qview[99346:62049812] CFPasteboardRef CFPasteboardCreate(CFAllocatorRef, CFStringRef
2016-10-12 14:50:38.617 qview[99346:62049812] CFPasteboardRef CFPasteboardCreate(CFAllocatorRef, CFStringRef
2016-10-12 14:50:38.617 qview[99346:62049812] CFPasteboardRef CFPasteboardCreate(CFAllocatorRef, CFStringRef

: failed to create global data
: failed to create global data
: failed to create global data
: failed to create global data

>

This terminal output is not allowed and must be fixed before OSX 10.11 can be supported.
#7 - 2016-11-01 10:25 AM - Tammy Becker
- Related to Question #4481: Connecting to rysnc added

#8 - 2016-11-28 04:23 PM - Kelvin Rodriguez

The CFPasteboardRef warnings were being caused by a process called pboard that runs as a service in MacOS. Pboard handles all the copying and
pasting for the operating system. It has become somewhat unstable in 10.11 and occasionally creating warnings such as the ones mentioned above.
Restarting the service clears the issue.

#9 - 2016-12-23 08:23 AM - Stuart Sides

- Status changed from In Progress to Closed

The 10.11 build is ready for beta release, and will be released when we create the beta for all supported platforms.
